## nova 2014.1.2

=== debian/changelog ===
nova (2014.1.2-4) unstable; urgency=medium

  * Cleans the .testrepository.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2014 04:41:18 +0000

nova (2014.1.2-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Added new patch for Ceph, thanks to Roman Podoliaka:
    0012_CEPH_Fix_instance_boot_when_Ceph_is_used_for_ephemeral_storage.patch

  [ Mehdi Abaakouk ]
  * Added two new fix for configdrive and ceph
    0013_CEPH_uses_correct_imagebackend_for_configdrive.patch
    0014_CEPH_reworks_configdrive_creation.patch

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Aug 2014 14:14:43 +0800

nova (2014.1.2-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Added new Ceph patch backport from Dmitry Borodaenko:
    0010_CEPH_Rename_rbb.py_to_rbd_utils.py_in_libvirt_driver_directory.patch

  [ Mehdi Abaakouk ]
  * Added new Ceph patch backport from myself
    patches/0011_CEPH_fix_live_migration_with_configdrive.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Aug 2014 04:54:40 +0800

nova (2014.1.2-1) unstable; urgency=medium

  [ Gustavo Panizzo ]
  * New upstream release.
  * Patches refreshed.
  * Patch for CVE-2014-3517 removed, it was applied upstream.
  * Patch added to fix regression. https://review.openstack.org/#/c/112750/

  [ Thomas Goirand ]
  * Added new patchset from Dmitry Borodaenko to better support Ceph and NFS as
    backend storages. These are backports from Juno. Thanks for his work!

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 Aug 2014 15:55:22 +0800

nova (2014.1.1-8) unstable; urgency=medium

  * CVE-2014-3517: analyzing response times to requests for instance metadata,
    an attacker may be able to guess a valid instance ID signature. Included
    upstream patch form the OpenStack security team, which introduces a
    constant time function to avoid leak (Closes: #755042).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Jul 2014 14:37:20 +0800

nova (2014.1.1-7) unstable; urgency=medium

  * Refreshed libvirt_convert_cpu_features_attribute_from_list_to_a_set.patch.
  * Added spiceproxy_config_startup.patch, thanks to Gaudenz Steinlin
    <gaudenz@debian.org> (Closes: #754346).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Jul 2014 16:41:52 +0800

nova (2014.1.1-6) unstable; urgency=medium

  * Updated the Danish debconf template translation, thanks to Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #753974).

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Jul 2014 14:45:20 +0800

nova (2014.1.1-5) unstable; urgency=high

  * Added a backport of https://review.openstack.org/#/c/91663/ to allow Nova
    to work with Websockify 0.6 (Closes: #752454).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Jul 2014 23:41:56 +0800

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le bouder <goneri@debian.org>,
           gustavo panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools (>= 12~),
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools,
               python-sphinx (>> 1.0)
Build-Depends-Indep: bpython,
                     euca2ools,
                     ipython,
                     libvirt-bin,
                     openssh-client,
                     procps,
                     pylint,
                     python-amqplib,
                     python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-boto (>= 2.12.0),
                     python-cinderclient (>= 1:1.0.6),
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.13.0),
                     python-feedparser,
                     python-fixtures (>= 0.3.14),
                     python-glanceclient (>= 1:0.10.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.8.0),
                     python-iso8601 (>= 0.1.9),
                     python-jinja2,
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:0.7.0),
                     python-kombu (>= 2.5.12),
                     python-lockfile,
                     python-lxml,
                     python-memcache,
                     python-migrate (>= 0.8.2),
                     python-mock (>= 1.0),
                     python-mox,
                     python-mysqldb,
                     python-netaddr (>= 0.7.6),
                     python-neutronclient (>= 2.3.4),
                     python-novaclient (>= 1:2.9.0),
                     python-oslo.config (>= 1:1.2.1),
                     python-oslo.messaging (>= 1.3.0~a9),
                     python-oslo.rootwrap,
                     python-oslosphinx,
                     python-paramiko (>= 1.9.0),
                     python-paste,
                     python-pastedeploy,
                     python-psycopg2,
                     python-pyasn1,
                     python-pycadf (>= 0.4.1),
                     python-qpid,
                     python-requests (>= 1.1),
                     python-routes,
                     python-setuptools-git,
                     python-simplejson,
                     python-six (>= 1.6.0),
                     python-sqlalchemy (>= 0.7.8),
                     python-stevedore (>= 0.14),
                     python-subunit (>= 0.0.18),
                     python-suds (>= 0.4.0),
                     python-testrepository (>= 0.0.14),
                     python-testtools (>= 0.9.34),
                     python-webob (>= 1.2.3),
                     python-xattr,
                     python-zmq,
                     subunit (>= 0.0.18),
                     sqlite3,
                     testrepository (>= 0.0.18),
                     websockify (>= 0.5.1)
#                     python-xenapi,
Build-Conflicts: python-cjson
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/nova.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/nova.git
Homepage: http://www.openstack.org/software/openstack-compute/

Package: python-nova
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: openssh-client,
         openssl,
         python-amqplib,
         python-anyjson (>= 0.3.3),
         python-argparse,
         python-babel (>= 1.3),
         python-boto (>= 2.12.0),
         python-cinderclient (>= 1:1.0.6),
         python-daemon,
         python-eventlet (>= 0.13.0),
         python-feedparser,
         python-glanceclient (>= 1:0.10.0),
         python-greenlet (>= 0.3.2),
         python-iso8601 (>= 0.1.9),
         python-jinja2,
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:0.7.0),
         python-kombu (>= 2.5.12),
         python-libxml2,
         python-lockfile,
         python-lxml,
         python-memcache,
         python-migrate (>= 0.8.2),
         python-mysqldb,
         python-netaddr (>= 0.7.6),
         python-neutronclient (>= 2.3.4),
         python-novaclient (>= 1:2.9.0),
         python-oslo.config (>= 1:1.2.1),
         python-oslo.messaging (>= 1.3.0~a9),
         python-oslo.rootwrap,
         python-paramiko (>= 1.9.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 0.6),
         python-pyasn1,
         python-pycadf (>= 0.4.1),
         python-pycurl,
         python-pyparsing (>= 1.5.7),
         python-requests (>= 1.1),
         python-routes,
         python-simplejson,
         python-six (>= 1.6.0),
         python-stevedore (>= 0.14),
         python-sqlalchemy (>= 0.7.8),
         python-subunit,
         python-suds,
         python-tempita,
         python-testrepository,
         python-webob (>= 1.2.3),
         python-xattr,
         sudo,
         websockify (>= 0.5.1),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-suds (>= 0.4.0)
Conflicts: python-cjson
Description: OpenStack Compute - libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         iproute2 | iproute,
         python-amqplib,
         python-configobj,
         python-iso8601,
         python-nova (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-pysqlite2 | python-mysqldb | python-pygresql
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         curl,
         ebtables,
         gawk,
         iptables,
         kpartx,
         nova-common (= ${binary:Version}),
         nova-compute-kvm | nova-compute-hypervisor,
         open-iscsi,
         parted,
         python-cinderclient,
         qemu-utils,
         vlan,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Replaces: python-nova (<< 2012.1~rc1-1)
Breaks: python-nova (<< 2012.1~rc1-1)
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-lxc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         libvirt-bin,
         nova-common,
         nova-compute,
         python-libvirt,
         ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-baremetal,
           nova-compute-kvm,
           nova-compute-qemu,
           nova-compute-uml,
           nova-compute-xen
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-uml
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         libvirt-bin,
         nova-common,
         nova-compute,
         python-libvirt,
         user-mode-linux,
         ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-baremetal,
           nova-compute-kvm,
           nova-compute-lxc,
           nova-compute-qemu,
           nova-compute-xen
Description: OpenStack Compute - compute node (UserModeLinux)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using UserModeLinux.

#Package: nova-compute-xen
#Architecture: all
#Pre-Depends: dpkg (>= 1.15.6~)
#Depends: adduser, nova-common, nova-compute, python-xenapi, ${misc:Depends}
#Provides: nova-compute-hypervisor
#Conflicts: nova-baremetal,
#           nova-compute-kvm,
#           nova-compute-lxc,
#           nova-compute-qemu,
#           nova-compute-uml
#Description: OpenStack Compute - compute node (Xen)
# OpenStack is a reliable cloud infrastructure. Its mission is to produce
# the ubiquitous cloud computing platform that will meet the needs of public
# and private cloud providers regardless of size, by being simple to implement
# and massively scalable.
# .
# OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
# designed to be modular and easy to extend and adapt. In addition to its
# "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
# many different database backends (including SQLite, MySQL, and PostgreSQL),
# hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
# .

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

include /usr/share/python/python.mk
debroot = debian/tmp
site_packages_dir=$(debroot)$(call py_libdir,$(shell pyversions -d))

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/ doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/nova-common.config debian/nova-common.postinst debian/nova-compute-xen.postinst \
		debian/nova-api.config debian/nova-api.postinst
	rm -f debian/*.upstart
	rm -rf .testrepository

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-compute-xen.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html
	sphinx-build -b man doc/source doc/build/man
	dh_sphinxdoc -O--buildsystem=python_distutils
	#python setup.py build_sphinx
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	dh_installman -O--buildsystem=python_distutils
endif


override_dh_install:
	python setup.py install -f --install-layout=deb --root=$(debroot)
	mkdir -p $(debroot)/usr/share
	mv $(site_packages_dir)/nova/locale $(debroot)/usr/share

	rm debian/tmp/usr/bin/nova-api-os-compute
	rm debian/tmp/usr/bin/nova-api-metadata
	rm debian/tmp/usr/bin/nova-api-ec2

	dh_install --fail-missing -Xbin/nova-all -Xbin/nova-objectstore
	install -D -m 0440 $(CURDIR)/debian/nova-common.sudoers $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/usr/share/nova-common/logging.conf
	set -e ; for hypervisor in qemu kvm uml lxc; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	install -D -m 0600 $(CURDIR)/debian/nova-compute-baremetal.conf $(CURDIR)/debian/nova-baremetal/etc/nova/nova-compute.conf
	install -D -m 0600 $(CURDIR)/debian/nova-compute-xen.conf.dist $(CURDIR)/debian/nova-compute-xen/usr/share/nova-compute-xen/nova-compute.conf
	find $(CURDIR)/debian -name .gitignore -delete

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers
	dh_fixperms -Xnova_tgt
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/projects/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/reqs/.gitignore

	# Make sure all our plugins are executable
#	set -e ; for i in $(CURDIR)/debian/nova-xcp-plugins/usr/lib/xcp/plugins/* ; do \
#		chmod +x $$i ; \
#	done
#	# Don't ask, that's as stupid as it seems... (and it wouldn't work without this!)
#	mkdir -p $(CURDIR)/debian/nova-xcp-plugins/etc/xcp
#	echo "{}" >$(CURDIR)/debian/nova-xcp-plugins/etc/xcp/xenhost.conf
#	chmod 0440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P || true
	#python setup.py testr --slowest --testr-args='--subunit  ' || true
endif

# We use override_dh_installmenu because it's done in the sequence with dh,
# and we already override dh_installinit in pkgos.make.
# Obviously, we will never use a Desktop menu in such a package, so that's
# not a problem.
override_dh_installmenu:
	#dh_installinit -pnova-console --name=nova-consoleauth
	dh_installinit --name=nova-novncproxy
	dh_installinit --name=nova-spicehtml5proxy
	dh_installinit --name=nova-xenvncproxy
	install -D -m 0644 $(CURDIR)/debian/nova-consoleproxy.mydefault $(CURDIR)/debian/nova-consoleproxy/usr/share/nova-consoleproxy/default

override_dh_python2:
	dh_python2
	# This is needed for the XCP plugins, which have to be installed in
	# a non-standard directory. This is a problem upstream which isn't
	# fixable in Debian easily (though it isn't a policy violation).
	dh_python2  /usr/lib/xcp

## nova 2014.1.3

=== requirements.txt ===
pbr>=0.6,<1.0
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
amqplib>=0.6.1
anyjson>=0.3.3
argparse
boto>=2.12.0,!=2.13.0
eventlet>=0.13.0
Jinja2
kombu>=2.4.8
lxml>=2.3
Routes>=1.12.3,!=2.0
WebOb>=1.2.3
greenlet>=0.3.2
PasteDeploy>=1.5.0
Paste
sqlalchemy-migrate>=0.8.2,!=0.8.4,!=0.9.2
netaddr>=0.7.6
suds>=0.4
paramiko>=1.9.0
pyasn1
Babel>=1.3
iso8601>=0.1.9
jsonschema>=2.0.0,<3.0.0
python-cinderclient>=1.0.6
python-neutronclient>=2.3.4,<3
python-glanceclient>=0.9.0
python-keystoneclient>=0.7.0
six>=1.6.0
stevedore>=0.14
websockify>=0.5.1,<0.6
wsgiref>=0.1.2
oslo.config>=1.2.0
oslo.rootwrap
pycadf>=0.4.1
oslo.messaging>=1.3.0

=== debian/changelog ===
nova (2014.1.3-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Added avoid_changing_UUID_when_redefining_nwfilters.patch so that nova
    continues to work with libvirt >= 1.2.7 (Closes: #773504).
  * Updated the es.po debconf translation, thanks to jathan
    <jathanblackred@openmailbox.org> (Closes: #773483).

 -- Gaudenz Steinlin <gaudenz@debian.org>  Tue, 30 Dec 2014 23:41:04 +0100

nova (2014.1.3-7) unstable; urgency=medium

  * Now init scripts depends on libvirtd and not libvirt-bin, as this has been
    renamed in the libvirt-daemon-system package (Closes: #772699).
  * Do not touch the database directive if user doesn't want to use
    dbconfig-common (Closes: #770941).
  * Updated de.po German debconf translation (Closes: #771409).
  * Added patch for CVE-2014-8333: Fix VM leak when deletion of VM during
    resizing.
  * Ensure we have the systemd fixes by build-depending on
    openstack-pkg-tools (>= 20~).
  * Only calls pkgos_dbc_postinst if the user asked for dbconf-common
    management.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Dec 2014 19:21:37 +0800

nova (2014.1.3-6) unstable; urgency=high

  [ Mehdi Abaakouk ]
  * Fix a issue into fix-live-migraton-nfs.patch.

  [ Thomas Goirand ]
  * CVE-2014-3708: Nova network DoS through API filtering. Applied upstream
    patch: Fixes_DOS_issue_in_instance_list_ip_filter (Closes: #769163).

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 04:42:15 +0800

nova (2014.1.3-5) unstable; urgency=high

  * CVE-2014-7230 & CVE-2014-7231: Potential leak of passwords into log files.
    Added CVE-2014-7230_CVE-2014-7231_Sync_process_utils_from_oslo.patch from
    upstream (Closes: #765714).

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Oct 2014 21:01:39 +0800

nova (2014.1.3-4) unstable; urgency=medium

  * Removed debian/*.init and debian/*.upstart.in from sources.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Oct 2014 08:40:04 +0000

nova (2014.1.3-3) unstable; urgency=medium

  * Using templated init, upstart and systemd scripts from
    openstack-pkg-tools >= 13.
  * Removed all debian/*.logrotate, using only one in the -common package.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Oct 2014 13:37:49 +0800

nova (2014.1.3-2) unstable; urgency=medium

  * Updated patchset for CEPH, thanks to Dmitry Borodaenko
    <dborodaenko@mirantis.com>.
  * Removed contrib/boto_v6/* in debian/copyright, replaced bin/nova-manage
    by nova/cmd/{baremetal_,}manage.py.
  * Mangling upstream rc and beta versions in watch file.
  * Added 9990_update_german_programm_messages.patch, thanks to Helge
    Kreutzmann <debian@helgefjell.de>.
  * Fixed correct de.po (Closes: #763682).
  * Added nl.po initial Debconf translation, thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #764125).
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Oct 2014 16:15:34 +0800

nova (2014.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Rebased/refreshed patches. Some where applied upstream, so got removed.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 16:08:26 +0800

nova (2014.1.2-7) unstable; urgency=medium

  * Added fix-live-migraton-nfs.patch.
  * Added pt_BR.po Brazilian Portuguese debconf templates translation thanks to
    Adriano Rafael Gomes <adrianorg@arg.eti.br> (Closes: #762472).
  * nova-xenvncproxy init script provides itself now.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2014 16:01:24 +0800

nova (2014.1.2-6) unstable; urgency=medium

  * Switching to libvirt-daemon-system instead of libvirt-bin because the
    libvirt package changed (Closes: #757548).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Sep 2014 17:55:00 +0800

nova (2014.1.2-5) unstable; urgency=medium

  * Updated it.po italian Debconf template, thanks to Beatrice Torracca
    <beatricet@libero.it> (Closes: #758305).
  * Reduced the number of lintian warnings (only cosmetic changes).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Sep 2014 14:49:11 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
            Gonéri Le bouder <goneri@debian.org>,
            gustavo panizzo <gfa@zumbi.com.ar>
 Build-Depends: debhelper (>= 9),
-               openstack-pkg-tools (>= 12~),
+               dh-systemd,
+               openstack-pkg-tools (>= 20~),
                po-debconf,
                python-all (>= 2.6.6-3~),
                python-pbr (>= 0.6),
@@ -17,7 +18,7 @@
 Build-Depends-Indep: bpython,
                      euca2ools,
                      ipython,
-                     libvirt-bin,
+                     libvirt-daemon-system,
                      openssh-client,
                      procps,
                      pylint,
@@ -79,7 +80,7 @@
                      websockify (>= 0.5.1)
 #                     python-xenapi,
 Build-Conflicts: python-cjson
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/nova.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/nova.git
 Homepage: http://www.openstack.org/software/openstack-compute/
@@ -227,7 +228,7 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: adduser,
          dpkg-dev,
-         libvirt-bin,
+         libvirt-daemon-system,
          nova-common,
          nova-compute,
          python-libvirt,
@@ -257,7 +258,7 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: adduser,
          dpkg-dev,
-         libvirt-bin,
+         libvirt-daemon-system,
          nova-common,
          nova-compute,
          python-libvirt,
@@ -303,5 +304,3 @@
 # designed to be modular and easy to extend and adapt. In addition to its
 # "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 # many different database backends (including SQLite, MySQL, and PostgreSQL),
-# hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
-# .

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
-# export DH_VERBOSE=1
-
 include /usr/share/openstack-pkg-tools/pkgos.make
-
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 include /usr/share/python/python.mk
@@ -11,7 +8,7 @@
 site_packages_dir=$(debroot)$(call py_libdir,$(shell pyversions -d))
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -23,7 +20,7 @@
 	rm -rf .autogenerated
 	rm -f debian/nova-common.config debian/nova-common.postinst debian/nova-compute-xen.postinst \
 		debian/nova-api.config debian/nova-api.postinst
-	rm -f debian/*.upstart
+	rm -f debian/*.init debian/*.service debian/*.upstart
 	rm -rf .testrepository
 
 override_dh_auto_build:
@@ -84,8 +81,8 @@
 #	echo "{}" >$(CURDIR)/debian/nova-xcp-plugins/etc/xcp/xenhost.conf
 #	chmod 0440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common
 
+override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
 	./run_tests.sh -N -P || true
 	#python setup.py testr --slowest --testr-args='--subunit  ' || true
 endif

## nova 2014.1.5

=== requirements.txt ===
pbr>=0.6,<1.0
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
amqplib>=0.6.1
anyjson>=0.3.3,<=0.3.3
argparse
boto>=2.12.0,!=2.13.0,<2.35.0
eventlet>=0.13.0,<0.16.0
Jinja2<=2.7.3
kombu>=2.5.0,<=3.0.7
lxml>=2.3,<=3.4.2
Routes>=1.12.3,!=2.0
WebOb>=1.2.3,<=1.4
greenlet>=0.3.2,<=0.4.5
PasteDeploy>=1.5.0,<=1.5.2
Paste
sqlalchemy-migrate>=0.8.2,!=0.8.4,<=0.9.1
netaddr>=0.7.6,<=0.7.14
suds==0.4
paramiko>=1.9.0,<=1.15.2
pyasn1<=0.1.7
Babel>=1.3,<=1.3
iso8601>=0.1.9,<=0.1.10
jsonschema>=2.0.0,<3.0.0
python-cinderclient>=1.0.6,<=1.1.1
python-neutronclient>=2.3.4,<2.3.11
python-glanceclient>=0.9.0,!=0.14.0,<=0.14.2
python-keystoneclient>=0.7.0,<0.12.0
six>=1.6.0,<=1.9.0
stevedore>=0.14
websockify>=0.5.1,<0.6
wsgiref>=0.1.2
oslo.config>=1.2.0,<1.5
oslo.rootwrap<1.4
pycadf>=0.4.1,<0.6.0
oslo.messaging>=1.3.0,<1.5

=== debian/changelog ===
nova (1:2014.1.5-0ubuntu1.7) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS via instance deletion during migration
    - debian/patches/CVE-2015-3241-1.patch: check for resize path on
      libvirt instance delete in nova/tests/virt/libvirt/test_libvirt.py,
      nova/virt/libvirt/driver.py.
    - debian/patches/CVE-2015-3241-1.patch: sync process utils from oslo in
      nova/openstack/common/processutils.py.
    - debian/patches/CVE-2015-3241-1.patch: kill rsync/scp processes before
      deleting instance in nova/tests/virt/libvirt/test_libvirt.py,
      nova/tests/virt/libvirt/test_libvirt_utils.py,
      nova/virt/libvirt/driver.py, nova/virt/libvirt/instancejobtracker.py,
      nova/virt/libvirt/utils.py.
    - CVE-2015-3241
  * SECURITY UPDATE: DoS via instance deletion during resize
    - debian/patches/CVE-2015-3280.patch: delete orphaned instance files
      from compute nodes in nova/compute/manager.py,
      nova/tests/compute/test_compute_mgr.py.
    - CVE-2015-3280
  * SECURITY UPDATE: DoS via crafted disk image
    - debian/patches/CVE-2015-5162-1.patch: add prlimit parameter to
      execute() in nova/openstack/common/prlimit.py,
      nova/openstack/common/processutils.py,
      nova/tests/openstack_common/test_processutils.py.
    - debian/patches/CVE-2015-5162-2.patch: add support for missing process
      limits in nova/openstack/common/prlimit.py,
      nova/openstack/common/processutils.py,
      nova/tests/openstack_common/test_processutils.py.
    - debian/patches/CVE-2015-5162-3.patch: set address space & CPU time
      limits when running qemu-img in nova/virt/images.py,
      nova/tests/virt/libvirt/test_libvirt.py,
      nova/tests/virt/libvirt/test_image_utils.py,
      nova/tests/virt/libvirt/test_libvirt_utils.py.
    - CVE-2015-5162
  * SECURITY UPDATE: arbitrary file read via snapshot
    - debian/patches/CVE-2015-7548-1.patch: fix format detection in libvirt
      snapshot in nova/tests/virt/libvirt/fake_libvirt_utils.py,
      nova/tests/virt/libvirt/test_image_utils.py,
      nova/tests/virt/libvirt/test_libvirt_utils.py,
      nova/virt/libvirt/driver.py, nova/virt/libvirt/utils.py.
    - debian/patches/CVE-2015-7548-2.patch: fix format conversion in
      libvirt snapshot in nova/tests/virt/libvirt/test_libvirt.py,
      nova/virt/images.py, nova/virt/libvirt/imagebackend.py.
    - debian/patches/CVE-2015-7548-3.patch: fix backing file detection in
      libvirt live snapshot in nova/tests/virt/libvirt/test_libvirt.py,
      nova/tests/virt/libvirt/fake_libvirt_utils.py, nova/virt/images.py,
      nova/virt/libvirt/driver.py, nova/virt/libvirt/utils.py.
    - debian/patches/CVE-2015-7548-4.patch: disable live snapshot for
      rbd-backed instances in nova/virt/libvirt/driver.py.
    - CVE-2015-7548
  * SECURITY UPDATE: restriction bypass via security group changes
    - debian/patches/CVE-2015-7713.patch: don't expect meta attributes in
      object_compat that aren't in the db obj in nova/compute/manager.py,
      nova/tests/compute/test_compute.py.
    - CVE-2015-7713
  * SECURITY UPDATE: password disclosure via xen log files
    - debian/patches/CVE-2015-8749.patch: mask passwords in volume
      connection_data dict in nova/virt/xenapi/volume_utils.py.
    - CVE-2015-8749
  * SECURITY UPDATE: arbitrary file read via crafted qcow2 header
    - debian/patches/CVE-2016-2140-1.patch: always copy or recreate
      disk.info during a migration in nova/virt/libvirt/driver.py,
      nova/tests/virt/libvirt/test_libvirt.py.
    - debian/patches/CVE-2016-2140-2.patch: fix processing of libvirt
      disk.info in non-disk-image cases in nova/virt/libvirt/driver.py,
      nova/tests/virt/libvirt/test_libvirt.py.
    - debian/patches/CVE-2016-2140-3.patch: decode disk_info before use in
      nova/tests/virt/libvirt/test_libvirt.py, nova/virt/libvirt/driver.py.
    - CVE-2016-2140
  * Thanks to Red Hat for the backports many of these patches are based on.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Sep 2017 14:30:17 -0400

nova (1:2014.1.5-0ubuntu1.6) trusty; urgency=medium

  * Allow evacuate for an instance in the Error state (LP: #1298061)
    - d/p/remove_useless_state_check.patch remove unnecessary task_state check
    - d/p/evacuate_error_vm.patch Allow evacuate from error state

 -- Liang Chen <liang.chen@canonical.com>  Fri, 09 Sep 2016 17:41:48 +0800

nova (1:2014.1.5-0ubuntu1.5) trusty; urgency=medium

  * Fix live migration usage of the wrong connector (LP: #1475411)
    - d/p/Fix-live-migrations-usage-of-the-wrong-connector-inf.patch
  * Fix wrong used ProcessExecutionError exception (LP: #1308839)
    - d/p/Fix-wrong-used-ProcessExecutionError-exception.patch
  * Clean up iSCSI multipath devices in Post Live Migration (LP: #1357368)
    - d/p/Clean-up-iSCSI-multipath-devices-in-Post-Live-Migrat.patch
  * Detach iSCSI latest path for latest disk (LP: #1374999)
    - d/p/Detach-iSCSI-latest-path-for-latest-disk.patch

 -- Billy Olsen <billy.olsen@canonical.com>  Fri, 29 Apr 2016 15:35:01 -0700

nova (1:2014.1.5-0ubuntu1.4) trusty; urgency=medium

  * Protect against possible rpcapi mismatch on upgrade (LP: #1506257)
    - d/p/protect-against-upgrade-rpc-ver-mismatch.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Thu, 22 Oct 2015 10:00:29 -0500

nova (1:2014.1.5-0ubuntu1.3) trusty; urgency=medium

  * Attempting to attach the same volume multiple times can cause
    bdm record for existing attachment to be deleted. (LP: #1349888)
    - d/p/fix-creating-bdm-for-failed-volume-attachment.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Tue, 08 Sep 2015 12:32:45 +0100

nova (1:2014.1.5-0ubuntu1.2) trusty; urgency=medium

  * Add rsyslog retry support (LP: #1459046)
    - d/p/add-support-for-syslog-connect-retries.patch
  * Add vm clean shutdown support (LP: #1196924)
    - d/p/clean-shutdown.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Thu, 16 Jul 2015 11:55:57 +0100



=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders: Soren Hansen <soren@ubuntu.com>, Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper (>= 7.0.50),
 python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~)
Build-Depends-Indep:
 openssh-client,
 openssl,
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel,
 python-boto (>= 2.4.0),
 python-cinderclient (>= 1:1.0.5),
 python-coverage,
 python-crypto,
 python-distutils-extra,
 python-eventlet (>= 0.13.0),
 python-feedparser,
 python-fixtures (>= 0.3.14),
 python-glanceclient (>= 1:0.9.0),
 python-greenlet (>= 0.3.2),
 python-iso8601,
 python-jinja2,
 python-jsonschema (>= 1.3.0),
 python-keystoneclient (>= 1:0.3.2),
 python-kombu (>= 2.5.12),
 python-lxml (>= 2.3),
 python-migrate (>= 0.8.2),
 python-mock,
 python-mox,
 python-netaddr (>= 0.7.6),
 python-neutronclient (>= 1:2.3.0),
 python-oslo.config (>= 1:1.2.0),
 python-oslo.messaging,
 python-oslo.rootwrap,
 python-oslosphinx,
 python-paramiko (>= 1.8.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.5.21),
 python-pyasn1,
 python-pycadf (>= 0.1.9),
 python-routes,
 python-setuptools,
 python-six (>= 1.5.2),
 python-sphinx (>> 1.0),
 python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy,
 python-stevedore (>= 0.12),
 python-suds,
 python-testtools (>= 0.9.32),
 python-webob (>= 1.2.3),
 sqlite3,
 subunit,
 testrepository ( >= 0.0.17)
Build-Conflicts: python-cjson
Standards-Version: 3.9.3
Homepage: http://launchpad.net/nova
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/nova/icehouse
XS-Testsuite: autopkgtest
X-Python-Version: >= 2.7

Package: python-nova
Architecture: all
Section: python
Depends:
 openssh-client,
 openssl,
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel,
 python-boto (>= 2.4.0),
 python-cinderclient (>= 1:1.0.5),
 python-eventlet (>= 0.13.0),
 python-glanceclient (>= 1:0.9.0),
 python-greenlet (>= 0.3.2),
 python-iso8601,
 python-jinja2,
 python-jsonschema (>= 1.3.0),
 python-keystoneclient (>= 1:0.3.2),
 python-kombu (>= 2.5.12),
 python-lxml (>= 2.3),
 python-m2crypto,
 python-migrate,
 python-netaddr (>= 0.7.6),
 python-neutronclient (>= 1:2.3.0),
 python-oslo.config (>= 1:1.2.0),
 python-paramiko (>= 1.8.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pyasn1,
 python-pycadf (>= 0.1.9),
 python-routes,
 python-simplejson,
 python-six (>= 1.5.2),
 python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
 python-stevedore (>= 0.12),
 python-suds,
 python-webob (>= 1.2.3),
 sudo,
 ${misc:Depends},
 ${python:Depends}
Suggests: python-ldap
Conflicts: python-cjson
XB-Python-Version: ${python:Versions}
Recommends: python-mysqldb
Provides: ${python:Provides}
Description: OpenStack Compute Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends:
 adduser,
 python-nova (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Recommends: python-glanceclient, python-keystone
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 nova-compute-kvm | nova-compute-hypervisor,
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack Compute - compute node base
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the package you will install on the nodes that will run your
 virtual machines.

Package: nova-compute-libvirt
Architecture: all
Depends:
 adduser,
 ebtables,
 genisoimage,
 iptables,
 kpartx,
 libvirt-bin,
 nova-compute (= ${binary:Version}),
 open-iscsi,
 parted,
 python-libvirt,
 qemu-utils,
 vlan,
 ${misc:Depends},
 ${python:Depends}
Suggests: guestmount, multipath-tools, sg3-utils, sysfsutils
Description: OpenStack Compute - compute node libvirt support
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package provides common dependencies and setup for all libvirt based
 hypervisor options.

Package: nova-compute-lxc
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}), ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using LXC.

Package: nova-compute-xen
Architecture: all
Depends:
 nova-compute-libvirt (= ${binary:Version}),
 xen-system-amd64 | xen-system-i386,
 ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (Xen)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using Xen.

Package: nova-compute-qemu
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}), qemu, ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using QEmu.

Package: nova-compute-kvm
Architecture: all
Depends:
 nova-compute-libvirt (= ${binary:Version}),
 qemu-system (>= 1.3.0) | kvm,
 ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using kvm.

Package: nova-compute-vmware
Architecture: all
Depends: genisoimage, nova-compute (= ${binary:Version}), ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (VMware)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using VMware vCenter.

=== debian/tests/control ===
Tests: nova-compute-daemons nova-daemons nova-clients nova-api python-nova
Depends: nova-compute, nova-conductor, nova-cert, nova-scheduler, nova-novncproxy,
 nova-xvpvncproxy, nova-api, nova-network, nova-objectstore, nova-console,
 nova-consoleauth, nova-baremetal, python-nova
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/nova/ nova-(.*)\.tar\.gz
